%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%define name flor
%define version 1.1.3
%define release 1

Summary:	Flor - An efficient Bloom filter implementation in Python
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Source0:	%{name}-%{version}.tar.gz
License:	BSD3
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		Andreas Dewes - DCSO GmbH <andreas.dewes@dcso.de>
Url:		https://github.com/DCSO/flor
BuildRequires:	python%{python3_pkgversion}-devel, python%{python3_pkgversion}-setuptools

%description
A Bloom filter implementation in Python

%package -n python%{python3_pkgversion}-%{name}
Summary: Python %{python3_pkgversion} module of Flor - An efficient Bloom filter implementation in Python

%description -n python%{python3_pkgversion}-%{name}
A Bloom filter implementation in Python

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python%{python3_pkgversion}-%{name}


%{python3_sitelib}/flor
%{python3_sitelib}/Flor*.egg-info

%changelog
* Wed Jan 11 2023 log2timeline development team <log2timeline-dev@googlegroups.com> 1.1.3-1
	Initial release
